org.eclipse.rdf4j.query.algebra.helpers

## Class VarNameCollector

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.query.algebra.helpers.VarNameCollector

- All Implemented Interfaces:
    QueryModelVisitor<RuntimeException>

      public class VarNameCollector
      extends AbstractQueryModelVisitor<RuntimeException>

  A QueryModelVisitor that collects the names of (non-constant) variables that are used in a query model.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VarNameCollector()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getVarNames()`
    `void` | `meet(Var var)`
    `static Set<String>` | `process(QueryModelNode node)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VarNameCollector

          public VarNameCollector()

  - ### Method Detail

    - #### process

          public static Set<String> process(QueryModelNode node)

    - #### getVarNames

          public Set<String> getVarNames()

    - #### meet

          public void meet(Var var)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.